Package wx :: Class GraphicsPen

[frames | no frames]

## Type GraphicsPen

    object --+
             |
        Object --+
                 |
    GraphicsObject --+
                     |
                    GraphicsPen

A wx.GraphicsPen is a native representation of a pen. It is used for stroking a path on a `wx.GraphicsContext`. The contents are specific and private to the respective renderer. The only way to get a valid instance is via a CreatePen call on the graphics context or the renderer instance.

Method Summary
GraphicsPen | ``__init__`(self)` A wx.GraphicsPen is a native representation of a pen.
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

A wx.GraphicsPen is a native representation of a pen. It is used for stroking a path on a `wx.GraphicsContext`. The contents are specific and private to the respective renderer. The only way to get a valid instance is via a CreatePen call on the graphics context or the renderer instance.

  Returns:
    GraphicsPen
  Overrides:
    `wx.GraphicsObject.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:48 2007 | http://epydoc.sf.net